Bug 273134 - Rekonq prevents Konqueror from saving bookmark
Summary: Rekonq prevents Konqueror from saving bookmark
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Applications
Component: general (show other bugs)
Version: 0.7.0
Platform: Ubuntu Linux
: NOR major (vote)
Target Milestone: 0.8
Assignee: Yoann Laissus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-12 16:21 UTC by Edward Viesel
Modified: 2011-05-18 08:59 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Edward Viesel 2011-05-12 16:21:25 UTC
Version:           0.7.0 (using KDE 4.6.2) 
OS:                Linux

I open a rekonq window and then open a Konqueror window. I then save a bookmark in Konqueror. I can see this new bookmark in Konqueror, rekonq and the editing window of Konqueror. I then close all the open windows. Rekonq sometimes crashes when the window is closed. On opening either Konqueror or rekonq again the bookmark is not there anymore. It seems that closing rekonq deletes the bookmark which seemed to have been saved.

Reproducible: Always

Steps to Reproduce:
Open a rekonq window.
Open a Konqueror window.
Save a bookmark in Konqueror.
Close all open windows.
Open a Konqueror or rekonq window.
Check bookmarks for bookmark saved above.

Actual Results:  
The bookmark was not saved and is not in the booksmarks of either Konqueror or rekionq

Expected Results:  
The bookmark should be in the bookmark collection.
Comment 1 Edward Viesel 2011-05-12 16:39:58 UTC
It seems I can not see the bookmark in a newly opened rekonq window after saving it in Konqueror. What I said above was wrong in this respect. The bookmark is in Konqueror's list of bookmarks and in its editing window. If I open a rekonq window the bookmark is not in rekonq's bookmark list. If I use Konqueror without having any rekonq window open I do not experience any problems.
Comment 2 Yoann Laissus 2011-05-15 14:44:16 UTC
Git commit ebfe1e6f68e5e2b65693822f2b07ad6674dc0031 by Yoann Laissus.
Committed on 15/05/2011 at 14:40.
Pushed by laissus into branch 'rekonqKonquerorBkConflict'.

- Fix bookmark conflict between Rekonq and Konqueror
- New way to copy rekonq default bookmarks so no problem with konqueror anymore
BUG: 273134

M  +40   -23   src/bookmarks/bookmarkprovider.cpp     
M  +1    -0    src/bookmarks/bookmarkprovider.h     

http://commits.kde.org/rekonq/ebfe1e6f68e5e2b65693822f2b07ad6674dc0031
Comment 3 Yoann Laissus 2011-05-18 08:59:46 UTC
Git commit a128ca1b883e00bb359470277b24ca82519711c9 by Yoann Laissus.
Committed on 15/05/2011 at 14:40.
Pushed by laissus into branch '0.7-branch'.

- Fix bookmark conflict between Rekonq and Konqueror
- New way to copy rekonq default bookmarks so no problem with konqueror anymore
BUG: 273134

M  +40   -23   src/bookmarks/bookmarkprovider.cpp     
M  +1    -0    src/bookmarks/bookmarkprovider.h     

http://commits.kde.org/rekonq/a128ca1b883e00bb359470277b24ca82519711c9